package com.uvigo.mhp.mediaPlayer;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

class VisualComponentAdapter extends ComponentAdapter
{
    private final MediaPlayer mp;

    public VisualComponentAdapter(MediaPlayer mp)
    {
        this.mp = mp;
    }

    public void componentResized(ComponentEvent ce)
    {
        if(ce.getSource() == mp)
	    mp.setZoom(mp.getZoom());
    }
}
